/*
 * LinRemote : a program to emulate Mindstorms Remote under linux
 * Copyright (C) 2003  nanobapt
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

/* IO.h */

/*
 * Const declaration
 */

//#define DEBUG

#define DEFAULT_TTY "/dev/ttyS0\0" //change it if want to use an other
#define MESSAGE_1 0
#define MESSAGE_2 1
#define MESSAGE_3 2
#define FWD_A 3
#define FWD_B 4
#define FWD_C 5
#define REV_A 6
#define REV_B 7
#define REV_C 8
#define STOP 9
#define P1 10
#define P2 11
#define P3 12
#define P4 13
#define P5 14
#define BEEP 15
#define STOP_A 16
#define STOP_B 17
#define STOP_C 18
#define ON_FWD 19
#define ON_REV 20
#define GTK_MODE 21
#define TEXT_MODE 22
#define POLL_MOTOR_A 23
#define POLL_MOTOR_B 24
#define POLL_MOTOR_C 25
#define POLL_SENSOR_1 26
#define POLL_SENSOR_2 27
#define POLL_SENSOR_3 28
#define NONE 29
#define TOUCH 30
#define TEMPERATURE 31
#define LIGHT 31
#define ANGLE 32
#define SS1 33
#define SS2 34
#define SS3 35

unsigned char * send(unsigned char data[10],int lenght, int fd, int ans);
int iTTY(char *name);
